## org.eclipse.datatools.modelbase.sql.datatypes
Interface DataType

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  ApproximateNumericDataType, ArrayDataType, BinaryStringDataType, BooleanDataType, CharacterStringDataType, CollectionDataType, ConstructedDataType, DataLinkDataType, DateDataType, DistinctUserDefinedType, Domain, ExactNumericDataType, FixedPrecisionDataType, IntegerDataType, IntervalDataType, MultisetDataType, NumberDataType, NumericalDataType, PredefinedDataType, ReferenceDataType, RowDataType, SQLDataType, SQLQueryArrayDataType, SQLQueryMultisetDataType, StructuredUserDefinedType, SybaseASABasePredefinedDataType, SybaseASABaseUserDefinedType, SybaseASEPredefinedDataType, SybaseASEUserDefinedType, TimeDataType, UserDefinedType, XMLDataType

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.datatypes.impl.ArrayDataTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.CollectionDataTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.ConstructedDataTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl, JDBCDistinctUDT, JDBCStructuredUDT, org.eclipse.datatools.modelbase.sql.datatypes.impl.MultisetDataTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.PredefinedDataTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.SQLDataTypeImpl, SQLQueryArrayDataTypeImpl, SQLQueryMultisetDataTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.StructuredUserDefinedTypeImpl, SybaseASABasePredefinedDataTypeImpl, SybaseASABaseUserDefinedTypeImpl, SybaseASACatalogBasePreDefinedType, SybaseASACatalogBaseUserDefinedDataType, SybaseASECatalogPreDefinedType, SybaseASECatalogUserDefinedType, SybaseASEPredefinedDataTypeImpl, SybaseASEUserDefinedTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl

    public interface DataType

extends SQLObject

A representation of the model object 'Data Type'. Reference: 5WD-02-Foundation-2002-12 4.1 Data types

See Also:
  `SQLDataTypesPackage.getDataType()`

Method Summary
`void` `setContainer(TypedElement newContainer)` This method is used to set the type on the given Column.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### setContainer

    void setContainer(TypedElement newContainer)

  This method is used to set the type on the given Column. It is implemented on the child classes of DataType. The concrete children classses will know which type relationship to use on Column to set the data type.